# Documentation
---------------------------------------

This site provides API documentation for latest build of Symfony2 Admin Generator. 
If you're working with older versions we encourage you to update to latest build. 
If you're getting errors or have trouble with update'ing see [submitting issues][1] 
and open a ticket on github.

[1]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/support/submitting-issues.md

## Table of contents

1. [Installation][table-of-contents-1]
2. [Support and Contribution][table-of-contents-2]
3. [Features][table-of-contents-3]
4. [Generator][table-of-contents-4]
5. [Builders][table-of-contents-5]
6. [Internationalization][table-of-contents-6]
7. [Cookbook][table-of-contents-7]
8. [Security][table-of-contents-8]

[go-up]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/documentation.md#table-of-contents
[table-of-contents-1]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/documentation.md#1-installation
[table-of-contents-2]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/documentation.md#2-support-and-contribution
[table-of-contents-3]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/documentation.md#3-features
[table-of-contents-4]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/documentation.md#4-generator
[table-of-contents-5]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/documentation.md#5-builders
[table-of-contents-6]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/documentation.md#6-internationalization
[table-of-contents-7]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/documentation.md#7-cookbook
[table-of-contents-8]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/documentation.md#8-security

## 1. Installation

1. [Installation via composer][installation-1]
2. Installation via deps
3. Installation via git submodules
4. [Configuration][installation-4]

[go up][go-up]

[installation-1]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/installation/installation-via-composer.md
[installation-4]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/installation/configuration.md

## 2. Support and Contribution

1. [Submitting issues][support-and-contribution-1]
1. [Contributing][support-and-contribution-2]
1. [Upgrade notes][support-and-contribution-3]

[go up][go-up]

[support-and-contribution-1]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/support-and-contribution/submitting-issues.md
[support-and-contribution-2]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/support-and-contribution/contributing.md
[support-and-contribution-3]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/support-and-contribution/upgrade-notes.md

## 3. Features

List of supported features for each model manager:

1. [Doctrine ORM][features-1]
2. [Doctrine ODM][features-2]
3. [Propel][features-3]

[go up][go-up]

[features-1]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/features/doctrine-orm-features.md
[features-2]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/features/doctrine-odm-features.md
[features-3]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/features/propel-features.md

## 4. Generator

1. [Embed form types][generator-1]
2. [Entity manager][generator-2]
3. [Primary Key requirement][generator-3]

[generator-1]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/generator/embed-types.md
[generator-2]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/generator/entity-manager.md
[generator-3]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/generator/pk-requirement.md

[go up][go-up]

## 5. Builders

1. [Actions builder][builders-1]
2. [List builder][builders-2]
3. [Edit builder][builders-3]

[builders-1]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/builders/actions-builder.md
[builders-2]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/builders/list-builder.md
[builders-3]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/builders/edit-builder.md

[go up][go-up]

## 6. Internationalization

1. [Generator translation][internationalization-1]

[go up][go-up]

[internationalization-1]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/internationalization/generator-translation.md

## 7. Cookbook

1. [Controllers Tips and Tricks][cookbook-1]
2. [Templating Tips and Tricks][cookbook-2]
3. [How to create menu][cookbook-3]
4. [How to use a2lixTranslationFormBundle with AdmingeneratorGeneratorBundle][cookbook-4]
5. [Command Line][cookbook-5]
6. [Form types][cookbook-6]
7. [Conditional actions (deprecated)][cookbook-7]
8. [Changeing web directory][cookbook-8]
9. [Extending generator templates][cookbook-9]
10. [Creating custom view types][cookbook-10]

[go up][go-up]

[cookbook-1]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/cookbook/controllers.md
[cookbook-2]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/cookbook/templating.md
[cookbook-3]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/cookbook/menu.md
[cookbook-4]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/cookbook/a2lixTranslationFormBundle-integration.md
[cookbook-5]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/cookbook/commandLine.md
[cookbook-6]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/cookbook/formTypes.md
[cookbook-7]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/cookbook/conditional-actions.md
[cookbook-8]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/cookbook/changeing-web-directory.md
[cookbook-9]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/cookbook/extending-generator-templates.md
[cookbook-10]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/cookbook/custom-view-types.md

## 8. Security

1. [Credentials][security-1]
2. [CSRF Protection][security-2]

[go up][go-up]

[security-1]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/security/credentials.md
[security-2]: https://github.com/symfony2admingenerator/AdmingeneratorGeneratorBundle/blob/master/Resources/doc/security/csrf-protection.md
